Flecs: ecs_query_memory_t Struct Reference
Description: A fast entity component system (ECS) for C & C++

| Flecs v4.1 A fast entity component system (ECS) for C & C++

Loading...
Searching...
No Matches
ecs_query_memory_t Struct Reference
C API » Addons » Stats

Query memory. More...

`#include <stats.h>`

## Public Attributes
int32_t | count
int32_t | cached_count
| Number of queries.
ecs_size_t | bytes_query
| Number of queries with caches.
ecs_size_t | bytes_cache
| Bytes used by ecs_query_impl_t struct.
ecs_size_t | bytes_group_by
| Bytes used by query cache.
ecs_size_t | bytes_order_by
| Bytes used by query cache groups (excludes cache elements).
ecs_size_t | bytes_plan
| Bytes used by table_slices.
ecs_size_t | bytes_terms
| Bytes used by query plan.
ecs_size_t | bytes_misc
| Bytes used by terms array.

## Detailed Description

Query memory.

Definition at line 532 of file stats.h.

## Member Data Documentation

## ◆ bytes_cache

ecs_size_t ecs_query_memory_t::bytes_cache

Bytes used by ecs_query_impl_t struct.

Definition at line 536 of file stats.h.

## ◆ bytes_group_by

ecs_size_t ecs_query_memory_t::bytes_group_by

Bytes used by query cache.

Definition at line 537 of file stats.h.

## ◆ bytes_misc

ecs_size_t ecs_query_memory_t::bytes_misc

Bytes used by terms array.

Definition at line 541 of file stats.h.

## ◆ bytes_order_by

ecs_size_t ecs_query_memory_t::bytes_order_by

Bytes used by query cache groups (excludes cache elements).

Definition at line 538 of file stats.h.

## ◆ bytes_plan

ecs_size_t ecs_query_memory_t::bytes_plan

Bytes used by table_slices.

Definition at line 539 of file stats.h.

## ◆ bytes_query

ecs_size_t ecs_query_memory_t::bytes_query

Number of queries with caches.

Definition at line 535 of file stats.h.

## ◆ bytes_terms

ecs_size_t ecs_query_memory_t::bytes_terms

Bytes used by query plan.

Definition at line 540 of file stats.h.

## ◆ cached_count

int32_t ecs_query_memory_t::cached_count

Number of queries.

Definition at line 534 of file stats.h.

## ◆ count

int32_t ecs_query_memory_t::count

Definition at line 533 of file stats.h.

The documentation for this struct was generated from the following file:

- include/flecs/addons/stats.h